var path = require('path');
var webpack = require('webpack');
var HtmlWebpackPlugin = require('html-webpack-plugin');

module.exports = {
    entry: './1.js',
    output: {
        path: path.resolve('dist'),
        filename: 'bundle.js',
    },
    module: {
		rules: [
            {test: /\.css$/, use: ['style-loader',
				{loader: 'css-loader',
				options: {
					minimize: true,
					sourceMap: true,
				}},
			]},
            {test: /\.png$/, loader: 'file-loader'},
		],
    },
    plugins: [
        new HtmlWebpackPlugin({
            template: 'template.ejs',
        }),
        new webpack.NamedModulesPlugin(),
    ],
};
